import { useEffect, useState } from 'react';
/**
 * Хук для поповера с отложенным закрытием после окончания анимации
 */
export const usePopoverAnimation = (isOpen) => {
    const [shouldRender, setShouldRender] = useState(isOpen);
    useEffect(() => {
        if (isOpen) {
            setShouldRender(true);
        }
    }, [isOpen]);
    const handleAnimationEnd = () => {
        if (!isOpen) {
            setShouldRender(false);
        }
    };
    return { shouldRender, handleAnimationEnd };
};
